API Explorer 1 endpoints

Get Customers Minimal at Any Bank

GET /obp/v7.0.0/customers-minimal

OBPv4.0.0-getCustomersMinimalAtAnyBank Roles: CanGetCustomersMinimalAtAllBanks CustomerUser

Get Customers Minimal at Any Bank.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (3)
bank_id
gh.29.uk
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customers
Example success response
{
  "customers": [
    {
      "bank_id": "gh.29.uk",
      "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30008: User Customer Link not found by USER_ID
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 getCustomersMinimalAtAnyBank Originally /obp/v4.0.0/customers-minimal